## GMimeFilterDos2Unix

GMimeFilterDos2Unix — Convert line-endings from Windows/DOS (CRLF) to UNIX (LF).

## Functions

GMimeFilter * | g_mime_filter_dos2unix_new ()

## Types and Values

struct | GMimeFilterDos2Unix

## Object Hierarchy

        GObject
        ╰── GMimeFilter
            ╰── GMimeFilterDos2Unix

## Description

A GMimeFilter for converting from DOS to UNIX line-endings.

## Functions

### g_mime_filter_dos2unix_new ()

    GMimeFilter *
    g_mime_filter_dos2unix_new (gboolean ensure_newline);

Creates a new GMimeFilterDos2Unix filter.

#### Parameters

ensure_newline | `TRUE` if the filter should ensure that the stream ends in a new line |

#### Returns

a new GMimeFilterDos2Unix filter.

## Types and Values

### struct GMimeFilterDos2Unix

    struct GMimeFilterDos2Unix;

A filter to convert a stream from Windows/DOS line endings to Unix line endings.

#### Members